window.Gleam.initSearch([{"doc":"gbase32_clockwork","title":"gbase32_clockwork","content":"# gbase32_clockwork\n\n[![Package Version](https://img.shields.io/hexpm/v/gbase32_clockwork)](https://hex.pm/packages/gbase32_clockwork)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gbase32_clockwork/)\n\n```sh\ngleam add gbase32_clockwork\n```\n```gleam\nimport gbase32_clockwork\nimport gbase32_clockwork/options.{Lowercase}\n\npub fn main() {\n  let codebook = gbase32_clockwork.new([])\n\n  codebook.encode(&quot;foobar&quot;)\n  |&gt; should.equal(Ok(&quot;CSQPYRK1E8&quot;))\n\n  // to emit as lowercase\n  let codebook_lc = gbase32_clockwork.new([Lowercase])\n  \n  codebook.encode(&quot;foobar&quot;)\n  |&gt; should.equal(Ok(&quot;csqpyrk1e8&quot;))\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gbase32_clockwork&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gbase32_clockwork/options","title":"Options","content":"pub type Options {\n  WithPadding\n  Lowercase\n}\n\nWithPadding\n\n\nLowercase\n\n\nSynonyms:\ngbase32_clockwork/options.Options\ngbase32_clockwork/options Options","url":"gbase32_clockwork/options.html#Options"},{"doc":"gbase32_clockwork/options","title":"gbase32_clockwork/options","content":"","url":"gbase32_clockwork/options.html"},{"doc":"gbase32_clockwork/codebook","title":"CodeBook","content":"pub type CodeBook {\n  CodeBook(\n    encode: EncodeFn,\n    decode: DecodeFn,\n    options: List(Options),\n  )\n}\n\nCodeBook(\n  encode: EncodeFn,\n  decode: DecodeFn,\n  options: List(Options),\n)\n\n\nSynonyms:\ngbase32_clockwork/codebook.CodeBook\ngbase32_clockwork/codebook CodeBook","url":"gbase32_clockwork/codebook.html#CodeBook"},{"doc":"gbase32_clockwork/codebook","title":"DecodeBook","content":"pub type DecodeBook =\n  Dict(String, Int)\n\n\nSynonyms:\ngbase32_clockwork/codebook.DecodeBook\ngbase32_clockwork/codebook DecodeBook","url":"gbase32_clockwork/codebook.html#DecodeBook"},{"doc":"gbase32_clockwork/codebook","title":"DecodeFn","content":"pub type DecodeFn =\n  fn(String) -&gt; Result(String, String)\n\n\nSynonyms:\ngbase32_clockwork/codebook.DecodeFn\ngbase32_clockwork/codebook DecodeFn","url":"gbase32_clockwork/codebook.html#DecodeFn"},{"doc":"gbase32_clockwork/codebook","title":"EncodeBook","content":"pub type EncodeBook =\n  Dict(Int, String)\n\n\nSynonyms:\ngbase32_clockwork/codebook.EncodeBook\ngbase32_clockwork/codebook EncodeBook","url":"gbase32_clockwork/codebook.html#EncodeBook"},{"doc":"gbase32_clockwork/codebook","title":"EncodeFn","content":"pub type EncodeFn =\n  fn(String) -&gt; Result(String, String)\n\n\nSynonyms:\ngbase32_clockwork/codebook.EncodeFn\ngbase32_clockwork/codebook EncodeFn","url":"gbase32_clockwork/codebook.html#EncodeFn"},{"doc":"gbase32_clockwork/codebook","title":"gbase32_clockwork/codebook","content":"","url":"gbase32_clockwork/codebook.html"},{"doc":"gbase32_clockwork/encoder","title":"decode","content":"pub fn decode(\n  codebook: Dict(String, Int),\n  input: String,\n) -&gt; Result(String, String)\n\nSynonyms:\ngbase32_clockwork/encoder.decode\ngbase32_clockwork/encoder decode","url":"gbase32_clockwork/encoder.html#decode"},{"doc":"gbase32_clockwork/encoder","title":"encode","content":"pub fn encode(\n  codebook: Dict(Int, String),\n  input: String,\n) -&gt; Result(String, String)\n\nSynonyms:\ngbase32_clockwork/encoder.encode\ngbase32_clockwork/encoder encode","url":"gbase32_clockwork/encoder.html#encode"},{"doc":"gbase32_clockwork/encoder","title":"gbase32_clockwork/encoder","content":"","url":"gbase32_clockwork/encoder.html"},{"doc":"gbase32_clockwork","title":"new","content":"pub fn new(options options: List(Options)) -&gt; CodeBook\n\nSynonyms:\ngbase32_clockwork.new\ngbase32_clockwork new","url":"gbase32_clockwork.html#new"},{"doc":"gbase32_clockwork","title":"gbase32_clockwork","content":"","url":"gbase32_clockwork.html"}]);